=== debian/changelog ===
golang-github-einride-can-go (0.16.1-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@kali.org>  Fri, 19 Dec 2025 11:53:06 +0100
