=== debian/control ===
Source: golang-github-einride-can-go
Section: golang
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               dh-sequence-golang,
               golang-any,
	       golang-github-fatih-color-dev,
	       golang-github-golang-mock-dev,
	       golang-golang-x-net-dev,
	       golang-golang-x-sync-dev,
	       golang-golang-x-sys-dev,
	       golang-github-mdlayher-netlink-dev,
	       golang-github-gotestyourself-gotest.tools-dev,
	       golang-gopkg-alecthomas-kingpin.v2-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://gitlab.com/kalilinux/packages/golang-github-einride-can-go
Vcs-Git: https://gitlab.com/kalilinux/packages/golang-github-einride-can-go.git
Homepage: https://github.com/einride/can-go
XS-Go-Import-Path: go.einride.tech/can

Package: golang-github-einride-can-go-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Controller Area Network SDK for Go (library)
 This package contains a CAN toolkit for Go programmers. can-go makes use of
 the Linux SocketCAN abstraction for CAN communication.
