=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_BUILDPKG=go.einride.tech/can

%:
	dh $@ --builddirectory=_build --buildsystem=golang

#execute_after_dh_auto_configure:
#	cp -av debian/vendor/ _build/src
