=== debian/watch ===
Version: 5
Template: Github
Owner: einride
Project: can-go
